#include <bits/stdc++.h>

using namespace std;

#define int long long

signed main() {
    int n, k;
    cin >> n >> k;
    vector<int> a(n);
    for (int i = 0; i < n; i++) {
        cin >> a[i];
    }
    sort(a.begin(), a.end());
    int sum = a.back() + n;
    for (int i = n - 1; i > n - k; i--) {
        sum += a[i] - 1;
    }
    cout << sum;
//    int cur = a.back() + 1;
//    int cnt = 0;
//    int sum = n;
//    for (int i = n - 2; i > -1; i--) {
//        cur++;
//        if (a[i] > cur) {
//            cnt++;
//            cur = a[i] + 1;
//        }
//    }
//    cout << cnt;
}
